Mailinglist Archive: opensuse-security-announce (74 mails)

< Previous Next >
[security-announce] openSUSE-SU-2019:1476-1: moderate: Security update for bluez
openSUSE Security Update: Security update for bluez
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:1476-1
Rating: moderate
References: #1013708 #1013712 #1013893 #1015171
Cross-References: CVE-2016-9797 CVE-2016-9798 CVE-2016-9802
CVE-2016-9917
Affected Products:
openSUSE Leap 15.1
openSUSE Leap 15.0
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:

This update for bluez fixes the following issues:

Security issues fixed:

- CVE-2016-9797: Fixed a buffer over-read in l2cap_dump() (bsc#1013708).
- CVE-2016-9798: Fixed a use-after-free in conf_opt() (bsc#1013712).
- CVE-2016-9917: Fixed a heap-based buffer overflow in read_n()
(bsc#1015171).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2019-1476=1

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-1476=1



Package List:

- openSUSE Leap 15.1 (i586 x86_64):

bluez-5.48-lp151.8.3.1
bluez-cups-5.48-lp151.8.3.1
bluez-cups-debuginfo-5.48-lp151.8.3.1
bluez-debuginfo-5.48-lp151.8.3.1
bluez-debugsource-5.48-lp151.8.3.1
bluez-devel-5.48-lp151.8.3.1
bluez-test-5.48-lp151.8.3.1
bluez-test-debuginfo-5.48-lp151.8.3.1
libbluetooth3-5.48-lp151.8.3.1
libbluetooth3-debuginfo-5.48-lp151.8.3.1

- openSUSE Leap 15.1 (x86_64):

bluez-devel-32bit-5.48-lp151.8.3.1
libbluetooth3-32bit-5.48-lp151.8.3.1
libbluetooth3-32bit-debuginfo-5.48-lp151.8.3.1

- openSUSE Leap 15.1 (noarch):

bluez-auto-enable-devices-5.48-lp151.8.3.1

- openSUSE Leap 15.0 (i586 x86_64):

bluez-5.48-lp150.4.13.1
bluez-cups-5.48-lp150.4.13.1
bluez-cups-debuginfo-5.48-lp150.4.13.1
bluez-debuginfo-5.48-lp150.4.13.1
bluez-debugsource-5.48-lp150.4.13.1
bluez-devel-5.48-lp150.4.13.1
bluez-test-5.48-lp150.4.13.1
bluez-test-debuginfo-5.48-lp150.4.13.1
libbluetooth3-5.48-lp150.4.13.1
libbluetooth3-debuginfo-5.48-lp150.4.13.1

- openSUSE Leap 15.0 (x86_64):

bluez-devel-32bit-5.48-lp150.4.13.1
libbluetooth3-32bit-5.48-lp150.4.13.1
libbluetooth3-32bit-debuginfo-5.48-lp150.4.13.1

- openSUSE Leap 15.0 (noarch):

bluez-auto-enable-devices-5.48-lp150.4.13.1


References:

https://www.suse.com/security/cve/CVE-2016-9797.html
https://www.suse.com/security/cve/CVE-2016-9798.html
https://www.suse.com/security/cve/CVE-2016-9802.html
https://www.suse.com/security/cve/CVE-2016-9917.html
https://bugzilla.suse.com/1013708
https://bugzilla.suse.com/1013712
https://bugzilla.suse.com/1013893
https://bugzilla.suse.com/1015171

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages